- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QTexture1D
- Qt 6.8.2 Reference Documentation

# QTexture1D Class

class Qt3DRender::QTexture1D

A QAbstractTexture with a Target1D target format. More...

Header: | `#include <Qt3DRender/QTexture>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | Texture1D
Inherits: | Qt3DRender::QAbstractTexture
Status: | Deprecated

- List of all members, including inherited members

## Public Functions

| QTexture1D(Qt3DCore::QNode *parent = nullptr)

## Detailed Description

## Member Function Documentation

### `[explicit]` QTexture1D::QTexture1D(Qt3DCore::QNode *parent = nullptr)

Constructs a new Qt3DRender::QTexture1D instance with parent as parent.